#
# "$Id: cupsddk.spec,v 1.5 2004/04/28 14:59:01 mike Exp $"
#
#   RPM "spec" file for the CUPS Driver Development Kit.
#
#   Copyright 1997-2004 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "LICENSE.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: CUPS Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3142 USA
#
#       Voice: (301) 373-9600
#       EMail: cups-info@cups.org
#         WWW: http://www.cups.org/
#

Summary: CUPS Driver Development Kit
Name: cupsddk
Version: 1.0
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://ftp.easysw.com/pub/cupsddk/%{version}/cupsddk-%{version}-source.tar.gz
Url: http://www.cups.org/
Packager: Anonymous <anonymous@foo.com>
Vendor: Easy Software Products

# Use buildroot so as not to disturb the version already installed
BuildRoot: /var/tmp/%{name}-root

%description
The CUPS Driver Development Kit (DDK) provides a suite of
standard drivers, a PPD file compiler, and other utilities that
can be used to develop printer drivers for CUPS and other
printing environments.  CUPS provides a portable printing layer
for UNIX(r)-based operating systems.  The CUPS DDK provides the
means for mass-producing PPD files and drivers/filters for
CUPS-based printer drivers.

The CUPS DDK is licensed under the GNU General Public License. 
Please contact Easy Software Products for commercial support and
"binary distribution" rights.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" ./configure

# If we got this far, all prerequisite libraries must be here.
make

%install
# Make sure the RPM_BUILD_ROOT directory exists.
rm -rf $RPM_BUILD_ROOT

make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/include/cups/*
/usr/lib/cups/filter/*
%dir /usr/share/cupsddk
/usr/share/cupsddk/*
%dir /usr/share/doc/cupsddk
/usr/share/doc/cupsddk/*

%dir /usr/share/man/cat1
/usr/share/man/cat1/*
%dir /usr/share/man/cat5
/usr/share/man/cat5/*
%dir /usr/share/man/man1
/usr/share/man/man1/*
%dir /usr/share/man/man5
/usr/share/man/man5/*

#
# End of "$Id: cupsddk.spec,v 1.5 2004/04/28 14:59:01 mike Exp $".
#
